Bug Hunting Session
Bug 103918 - Keys for "back" in presentation don't work when using automatic transitions
Summary: Keys for "back" in presentation don't work when using automatic transitions
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2016-11-14 03:47 UTC by Mike C. Fletcher
Modified: 2019-04-02 02:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Presentation that fails to reverse (10.41 KB, application/vnd.oasis.opendocument.presentation)
2016-11-14 03:47 UTC, Mike C. Fletcher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike C. Fletcher 2016-11-14 03:47:27 UTC
Created attachment 128736 [details]
Presentation that fails to reverse

While doing a presentation today where most slides had an auto-advance, I discovered that most of the documented keys for "Back" in a presentation are all non-functional, and instead advance the presentation (which is rather sub-optimal):

* up arrow
* page-up (actually Fn+Up)
* ctrl-page-up (actually Fn+Ctrl+Up)
* backspace

experimenting this evening, the *only* key which actually works to move to the previous page is:

* alt-page-up (actually Fn+Alt+Up)

So my guess is that the "transition" of switching to the next page is being played and advancing the slide instead of moving to the previous slide. I can easily recreate the effect by just adding an "advance to next slide after 20s" transition to a presentation.

Without automatic advance, the key-bindings all work fine.

Steps to reproduce:

* start the presentation, move forward, try to move back using any of the above key-bindings

Platform Kubuntu 16.10, up-to-date LibreOffice packages (1:5.2.2-0ubuntu2), Dell XPS 15 9550

Sample file that demonstrates the failure is attached.
Comment 1 Buovjaga 2016-11-24 10:03:45 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.3.0.0.alpha1+
Build ID: 172325bedf69bbc162f3c1948264451c90c105a3
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; Layout Engine: new; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-11-21_05:26:40
Locale: fi-FI (fi_FI); Calc: group

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 Keith 2018-04-01 02:22:12 UTC
Confirmed again

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 5c7ba324eb1b66b367c3f00164044a80778b8871
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-03-31_17:20:23
Locale: en-US (en_US); Calc: group

I think I see what it's doing: the primary function of the "back" buttons is "previous *effect*", and it is incorrectly seeing the automatic advance as an "effect". I'm guessing that since the timer starts when the slide first appears, that causes it to count as "previous" even though it hasn't actually completed yet.
Comment 3 QA Administrators 2019-04-02 02:49:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug